#!/bin/sh

SOURCE=$(dpkg-parsechangelog -SSource 2>/dev/null)
VERS=$(dpkg-parsechangelog -SSource -SVersion 2>/dev/null | rev | cut -d- -f2-5 | rev)
PACK=$(find ../ -maxdepth 1 -name "$SOURCE"_"$VERS".orig.* | tail -n1)
if [ -n "$PACK" ] ; then
    echo "would unpacking $PACK ..."
    sleep 1
    echo "removing old files ..."
    find -mindepth 1 -maxdepth 1 -path ./debian -prune -o -exec rm -rf {} +
    echo "... done"
    echo "really unpacking $PACK ..."
    tar xaf "$PACK" --strip-components=1
    echo "... done"
else
    echo "no matching source file found!"
fi
